Subject: Re: bug#29518: 27.0.50; Compilation errors grab frame focus

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 15 Jan 2018 16:15:19 -0800

On 01/15/18 07:07 AM, Noam Postavsky wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>> On 01/06/18 15:31 PM, Noam Postavsky wrote:
>>> I can't think of anything.  If you M-x debug-on-error RET x-focus-frame
>>> RET do you get any hits?
>>
>> Sorry about the slow response...
>>
>> That was an odd recipe, but turning on debug-on-error, then running
>> several varieties of (x-focus-frame (window-frame)), including focusing
>> the current frame or other frames, never did anything other than what I
>> would expect it to -- returning nil when the frame was already focused,
>> and focusing the frame when it wasn't.
>
> Oh, it's odd because I made a thinko, that should have been M-x
> debug-on-entry ...
>          ^^^^^

Aha! Turning that on results in nothing happening -- re-running your
earlier recipe for compile/install errors still yanks focus, but does
not enter the debugger. Other frame-switching activity (eg
`helm-projectile-switch-to-buffer') does enter the debugger.

Weird.

Eric